package cookbook.chaper2;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.app.Activity;
import android.content.Context;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import android.support.v4.app.NavUtils;


public class NativeMethodsRegisterActivity extends Activity {
	private TextView tv; 
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_native_methods_register);
		tv = (TextView) findViewById(R.id.action_settings);
        callNativeMethods(); 
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.native_methods_register, menu);
		return true;
	}

	private void callNativeMethods() {
    	int a = 10, b = 100;
        int c = NativeAddition(a, b);
        tv.setText(a + "+" + b + "=" + c);
        c = NativeMultiplication(a, b);
        tv.append("\n" + a + "x" + b + "=" + c);
    }
    
    private native int NativeAddition(int a, int b);
    private native int NativeMultiplication(int a, int b);
    static {
    	//use either of the two methods below
        //System.loadLibrary("NativeRegister");
        //System.load("c:/Users/omachek/Documents/Android/NativeMethodsRegister/libs/armeabi/libNativeRegister.so");
    } 
	
}
